<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" exclude-result-prefixes="fo">
	<xsl:output method="text"/>
	<xsl:key name="records-by-sequence" match="record" use="sequence"/>
	<xsl:param name="view">standard</xsl:param>

	<xsl:template match="/">
		<xsl:if test="$view='standard'">
			<xsl:apply-templates select="log" mode="standard" />
		</xsl:if>
	</xsl:template>

<xsl:template match="log" mode="standard">
<xsl:for-each select="record[count(. | key('records-by-sequence', sequence)[1]) = 1]">
<xsl:for-each select="key('records-by-sequence', sequence)">&lt;&lt;CLEARQUEST;; <xsl:value-of select="date" />;; comp=<xsl:value-of select="comp" />;; subcomp=<xsl:value-of select="subcomp" />;; seq_no=<xsl:value-of select="sequence" />;; sittype=<xsl:value-of select="sittype" />;; sitqual=<xsl:value-of select="sitqual" />;; package=<xsl:value-of select="package" />;; class=<xsl:value-of select="class" />;; filename=<xsl:value-of select="filename" />;; method=<xsl:value-of select="method" />;; linenumber=<xsl:value-of select="linenumber" />;; rulename=<xsl:value-of select="rulename" />;; ruletype=<xsl:value-of select="ruletype" />;; message=<xsl:value-of select="message" />;; severity=<xsl:value-of select="severity" />;; errorcode=<xsl:value-of select="errorcode" />&gt;&gt;
</xsl:for-each>
</xsl:for-each>
</xsl:template>
	
</xsl:stylesheet>
